Microsoft.CSharp 4.0.0.0 System.Exception

Exceptions of this kind differ from in that represents a failure to bind in the sense of a usual compiler error, whereas represents a malfunctioning of the runtime binder itself.

Represents an error that occurs when a dynamic bind in the C# runtime binder is processed.

- Constructor
  4.0.0.0

  This constructor initializes the property of the new instance to a system-supplied message that describes the error, such as "DefaultMessageDisplayedByParameterlessCtorWriterMustSupply" This message takes into account the current system culture.

  The following table shows the initial property values for an instance of .

  Property

  Value

  null.

  The localized error message string.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0

  The following table shows the initial property values for an instance of .

  Property

  Value

  null.

  The error message string specified in .

  Initializes a new instance of the class that has a specified error message.

  The message that describes the exception. The caller of this constructor is required to ensure that this string has been localized for the current system culture.
- Constructor
  4.0.0.0

  This constructor is called during deserialization to reconstitute the exception object transmitted over a stream.

  Initializes a new instance of the class that has serialized data.

  The object that holds the serialized object data about the exception being thrown..
  The contextual information about the source or destination.
- Constructor
  4.0.0.0

  An exception that is thrown as a direct result of a previous exception should include a reference to the previous exception in the property. The property returns the same value that is passed into the constructor, or null if the property does not supply the inner exception value to the constructor.

  The following table shows the initial property values for an instance of .

  Property

  Value

  null.

  The error message string specified in .

  Initializes a new instance of the class that has a specified error message and a reference to the inner exception that is the cause of this exception.

  The error message that explains the reason for the exception.
  The exception that is the cause of the current exception, or a null reference if no inner exception is specified.